

#always
kill @e[type=item]

#checkpoint, star
execute if entity @s[tag=inlevel,scores={drop_star=1..,fail_timer=..0},tag=chat_msg] run tellraw @s {"text":"Teleporting to last checkpoint!","color":"dark_aqua"}
execute if entity @s[tag=inlevel,scores={drop_star=1..,fail_timer=..0}] run particle minecraft:sweep_attack ~ ~1 ~ 0.3 0.5 0.3 0 10 force @a
execute if entity @s[tag=inlevel,scores={drop_star=1..,fail_timer=..0}] run scoreboard players set @s fail_timer 1

execute if entity @s[tag=!inlevel,scores={drop_star=1..,fail_timer=..0}] run tellraw @s {"text":"Cant return to last checkpoint before checkpoint 1 is reached","color":"dark_red"}
execute if entity @s[tag=!inlevel,scores={drop_star=1..,fail_timer=..0}] run particle minecraft:angry_villager ~ ~1 ~ 0.3 0.5 0.3 0.2 10 force @a
execute if entity @s[tag=!inlevel,scores={drop_star=1..,fail_timer=..0}] run playsound minecraft:entity.wandering_trader.death ambient @s ~ ~ ~ 10 0
execute if entity @s[tag=!inlevel,scores={drop_star=1..,fail_timer=..0}] run scoreboard players set @s drop_star 0

#restart, totem
execute if entity @s[tag=!inlevel,scores={drop_totem=1..}] run tellraw @s {"text":"You must reach checkpoint 1 before restarting!","color":"dark_red"}
execute if entity @s[tag=!inlevel,scores={drop_totem=1..}] run particle minecraft:damage_indicator ~ ~1 ~ 0.3 0.5 0.3 0.2 12 force @a
execute if entity @s[tag=!inlevel,scores={drop_totem=1..}] run playsound minecraft:entity.villager.death ambient @s ~ ~ ~ 10 0
execute if entity @s[tag=!inlevel,scores={drop_totem=1..}] run scoreboard players set @s drop_totem 0

execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s fails 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s jumps 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s time_t 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s time_s 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s time_m 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s time_h 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s saved_time_t 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s saved_time_s 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s saved_time_m 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s saved_time_h 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players set @s level 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players add @s attempts 1
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run scoreboard players add !all_attempts world_stats 1
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run tag @s remove go_back_ok
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run particle minecraft:soul -437 3 -31 0.3 0.5 0.3 0.3 300 force @a
execute if entity @s[tag=inlevel,scores={drop_totem=1..},tag=chat_msg] run tellraw @s ["",{"text":"Restarted! Attempt: ","color":"dark_purple"},{"score":{"name":"@s","objective":"attempts"},"color":"light_purple"}]
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run execute in minecraft:overworld run tp @s -437.26 2.50 -29.67 -135.92 25.92
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run playsound minecraft:block.respawn_anchor.deplete ambient @s ~ ~ ~ 10 0
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run particle minecraft:explosion ~ ~1 ~ 0.3 0.5 0.3 0 2 force @a
execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run tag @s remove inlevel
execute if entity @s[scores={drop_totem=1..}] run scoreboard players set @s drop_totem 0

execute if entity @s[tag=inlevel,scores={drop_totem=1..}] run tag @s remove inlevel
execute if entity @s[scores={drop_totem=1..}] run scoreboard players set @s drop_totem 0

#setting messages, red/green dye
execute if entity @s[scores={drop_red=1..}] run tag @s add chat_msg
execute if entity @s[scores={drop_red=1..}] run playsound minecraft:entity.wandering_trader.yes ambient @s ~ ~ ~ 10 2
execute if entity @s[scores={drop_red=1..}] run particle minecraft:falling_dust green_concrete ~ ~1 ~ 0.3 0.5 0.3 0 50 force @a
execute if entity @s[scores={drop_red=1..}] run scoreboard players set @s drop_red 0

execute if entity @s[scores={drop_green=1..}] run tag @s remove chat_msg
execute if entity @s[scores={drop_green=1..}] run playsound minecraft:entity.wandering_trader.no ambient @s ~ ~ ~ 10 1
execute if entity @s[scores={drop_green=1..}] run particle minecraft:falling_dust red_concrete ~ ~1 ~ 0.3 0.5 0.3 0 50 force @a
execute if entity @s[scores={drop_green=1..}] run scoreboard players set @s drop_green 0

#setting mode, bucket/lava_bucket
execute if entity @s[scores={drop_bucket=1..}] run tag @s add impossible
execute if entity @s[scores={drop_bucket=1..}] run playsound minecraft:entity.witch.celebrate ambient @s ~ ~ ~ 10 2
execute if entity @s[scores={drop_bucket=1..}] run title @s reset
execute if entity @s[scores={drop_bucket=1..}] run particle minecraft:block fire ~ ~1 ~ 0.5 0.6 0.5 0 100 force @a
execute if entity @s[scores={drop_bucket=1..}] run scoreboard players set @s drop_bucket 0

execute if entity @s[scores={drop_lava=1..}] run tag @s remove impossible
execute if entity @s[scores={drop_lava=1..}] run playsound minecraft:entity.evoker.prepare_wololo ambient @s ~ ~ ~ 10 2
execute if entity @s[scores={drop_lava=1..}] run particle minecraft:block soul_fire ~ ~1 ~ 0.5 0.6 0.5 0 100 force @a
execute if entity @s[scores={drop_lava=1..}] run title @s reset
execute if entity @s[scores={drop_lava=1..}] run scoreboard players set @s drop_lava 0

#Remove current checkpoint, barrier
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0},tag=chat_msg] run tellraw @s {"text":"Last checkpoint was reseted!","color":"dark_aqua"}
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run particle minecraft:fishing ~ ~1 ~ 0.3 0.5 0.3 0.06 100 force @a
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players remove @s level 1
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s jumps = @s back_jumps
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s time_t = @s back_time_t
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s time_s = @s back_time_s
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s time_m = @s back_time_m
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s time_h = @s back_time_h
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s total_tick = @s back_total_tick
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s saved_total_tick = @s back_total_tick
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s saved_jumps = @s back_jumps
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s saved_time_t = @s back_time_t
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s saved_time_s = @s back_time_s
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s saved_time_m = @s back_time_m
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players operation @s saved_time_h = @s back_time_h
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players set @s fail_timer 1
execute if entity @s[tag=go_back_ok,scores={drop_barrier=1..}] run tag @s remove go_back_ok

execute if entity @s[tag=!go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run tellraw @s {"text":"Unable to reset last checkpoint, try again later!","color":"dark_red"}
execute if entity @s[tag=!go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run particle minecraft:dust 1 0 0 2 ~ ~1 ~ 0.3 0.5 0.3 0 30 force @a
execute if entity @s[tag=!go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run playsound minecraft:entity.evoker.death ambient @s ~ ~ ~ 10 0
execute if entity @s[tag=!go_back_ok,scores={drop_barrier=1..,fail_timer=..0}] run scoreboard players set @s drop_barrier 0

#below area
execute if entity @s[tag=!inlevel,y=0,dy=-999] run particle minecraft:poof -435 4 -24 0.3 0.5 0.3 0.06 30 force @a
execute if entity @s[tag=!inlevel,y=0,dy=-999] run playsound minecraft:entity.pillager.hurt ambient @s ~ ~ ~ 10 2
execute if entity @s[tag=!inlevel,y=0,dy=-999] run execute in minecraft:overworld run tp @s -434.41 3.00 -23.56 272.24 87.97










