
#give effects
effect give @s minecraft:night_vision 99999 255 true
effect give @s minecraft:fire_resistance 999 255 true
effect give @s minecraft:regeneration 9099 255 true
effect give @s minecraft:resistance 9099 255 true

#fall down
execute if entity @s[tag=fall_down] run function parkour:fall_down
#execute if entity @s[tag=!verified2288999,advancements={parkour:welcome=true}] run function parkour:prep_new_player

#nether portal
execute positioned -438.03 38.00 -32.58 as @s[tag=inlevel,distance=0..1] run particle minecraft:reverse_portal -438.42 35.00 -56.00 0.4 0.4 0.4 1 700 force @s
execute positioned -438.03 38.00 -32.58 as @s[tag=inlevel,distance=0..1] run playsound minecraft:item.chorus_fruit.teleport ambient @s -438.49 35.00 -55.97 10 1
execute positioned -438.03 38.00 -32.58 as @s[tag=inlevel,distance=0..1] run tp @s -439.54 34.00 -55.98 -101.1 23.4

#jump detect
execute as @s[scores={jump_detect=1..}] at @s run function parkour:jump_detect

#impossible system
execute if entity @s[tag=impossible] run function parkour:impossible

#detect below area
execute if entity @s[tag=!inlevel,y=0,dy=-999] run function parkour:drop_item

#always when timer is active
execute if entity @s[tag=inlevel,tag=!inend] run scoreboard players add @s time_t 1
execute if entity @s[tag=inlevel,tag=!inend] run scoreboard players add @s total_tick 1
execute if entity @s[tag=inlevel,scores={time_t=20..}] run scoreboard players add @s time_s 1
execute if entity @s[tag=inlevel,scores={time_t=20..}] run scoreboard players set @s time_t 0
execute if entity @s[tag=inlevel,scores={time_s=60..}] run scoreboard players add @s time_m 1
execute if entity @s[tag=inlevel,scores={time_s=60..}] run scoreboard players set @s time_s 0
execute if entity @s[tag=inlevel,scores={time_m=60..}] run scoreboard players add @s time_h 1
execute if entity @s[tag=inlevel,scores={time_m=60..}] run scoreboard players set @s time_m 0


#score
scoreboard players operation @s jump_multiply = @s jumps
scoreboard players operation @s fails_multiply = @s fails
scoreboard players operation @s fails_multiply *= !num_4000 main
scoreboard players operation @s jump_multiply *= !num_20 main
execute if entity @s[tag=inlevel] run scoreboard players set @s score 199999
execute if entity @s[tag=inlevel] run scoreboard players operation @s score -= @s total_tick
execute if entity @s[tag=inlevel] run scoreboard players operation @s score -= @s fails_multiply
execute if entity @s[tag=inlevel] run scoreboard players operation @s score -= @s jump_multiply
execute if entity @s[tag=inlevel,scores={score=..-1}] run scoreboard players set @s score 0


#when timer isnt active
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s time_s 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s time_t 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s time_m 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s time_h 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s jumps 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s fails 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s score 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s level 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s level_timer 0
execute if entity @s[tag=!inlevel,tag=!inend] run scoreboard players set @s total_tick 0

#drop system
execute if entity @s[scores={drop_any=1..}] run kill @e[type=item]
execute if entity @s[scores={drop_any=1..}] run clear @s
execute if entity @s[scores={drop_any=1..}] run scoreboard players set @s drop_any 0

#start timer
execute as @s[scores={level=0}] at @s if block ~ ~-0.3 ~ birch_slab run function parkour:get_checkpoint

#when win game
execute if entity @s[scores={win_timer=1..}] run function parkour:win_system
execute if entity @s[tag=inend,x=-382,y=71,z=-78,dx=1,dy=2,dz=0] run function parkour:return_parkour


#checkpoint system
execute as @s[tag=inlevel] at @s unless entity @e[type=armor_stand,tag=ok_block,limit=1,distance=0..3] run function parkour:fail
execute as @s[scores={fail_timer=1..}] at @s run function parkour:tp_checkpoint
execute as @s[tag=inlevel] at @s run function parkour:set_checkpoint






